use adw::glib;
use glib::subclass::InitializingObject;
use gtk::CompositeTemplate;
use gtk::prelude::*;
use gtk::subclass::prelude::*;

#[derive(Default, CompositeTemplate)]
#[template(resource = "dev/fyloz/example/app_view.ui")]
pub struct AppView {}

#[glib::object_subclass]
impl ObjectSubclass for AppView {
    const NAME: &'static str = "CmAppView";
    type Type = super::AppView;
    type ParentType = gtk::Box;

    fn class_init(klass: &mut Self::Class) {
        klass.bind_template();
    }

    fn instance_init(obj: &InitializingObject<Self>) {
        obj.init_template();
    }
}

impl ObjectImpl for AppView {
    
}

impl WidgetImpl for AppView {}

impl BoxImpl for AppView {}